EmptyBorder (Java Platform SE 8 )
Keywords: javax.swing.border.EmptyBorder class
Date: 2026-04-17

javax.swing.border

## Class EmptyBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EmptyBorder

- All Implemented Interfaces:
    Serializable, Border
  Direct Known Subclasses:
    BorderUIResource.EmptyBorderUIResource, MatteBorder

      public class EmptyBorder
      extends AbstractBorder
      implements Serializable

  A class which provides an empty, transparent border which takes up space but does no drawing.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `bottom`
    `protected int` | `left`
    `protected int` | `right`
    `protected int` | `top`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyBorder(Insets borderInsets)` Creates an empty border with the specified insets.
    `EmptyBorder(int top, int left, int bottom, int right)` Creates an empty border with the specified insets.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets()` Returns the insets of the border.
    `Insets` | `getBorderInsets(Component c, Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
    `boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` Does no drawing by default.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### left

          protected int left

    - #### right

          protected int right

    - #### top

          protected int top

    - #### bottom

          protected int bottom

  - ### Constructor Detail

    - #### EmptyBorder

          public EmptyBorder(int top,
                             int left,
                             int bottom,
                             int right)

      Creates an empty border with the specified insets.
      Parameters:
        `top` - the top inset of the border
        `left` - the left inset of the border
        `bottom` - the bottom inset of the border
        `right` - the right inset of the border

    - #### EmptyBorder

          @ConstructorProperties(value="borderInsets")
          public EmptyBorder(Insets borderInsets)

      Creates an empty border with the specified insets.
      Parameters:
        `borderInsets` - the insets of the border

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int width,
                                  int height)

      Does no drawing by default.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `width` - the width of the painted border
        `height` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                                        Insets insets)

      Reinitialize the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the object to be reinitialized
      Returns:
        the `insets` object

    - #### getBorderInsets

          public Insets getBorderInsets()

      Returns the insets of the border.
      Since:
        1.3

    - #### isBorderOpaque

          public boolean isBorderOpaque()

      Returns whether or not the border is opaque. Returns false by default.
      Specified by:
        `isBorderOpaque` in interface `Border`
      Overrides:
        `isBorderOpaque` in class `AbstractBorder`
      Returns:
        false

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.